.product {
    width: 100%;
}

.product__images {
    width: 100%;
}

.product__main-image {
    max-width: 100%;
    object-fit: cover;
    cursor: pointer;
    border: 1px solid var(--line);
}

.product__slider-wrap {
    max-width: 100%;
    min-height: 100px;
    display: flex;
    align-items: center;
}

.product__slider {
    width: 100%;
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
}

.product__image {
    max-width: 180px;
    max-height: 100px;
    object-fit: cover;
    cursor: pointer;
    opacity: 0.5;
    margin: 0.25rem;
    border: 1px solid var(--line);
}

.product__image:first-child {
    margin-left: 0;
}

.product__image:last-child {
    margin-right: 0;
}

.product__image:hover {
    opacity: 1;
}

.product__image--active {
    opacity: 1;
}

.product__slider::-webkit-scrollbar {
    height: 8px;
}

.product__slider::-webkit-scrollbar-thumb {
    background-color: var(--primary);;
    border-radius: 50px;
}